### Function

# Phosh util_escape_markup

#### Declaration [src]

    char*
    phosh_util_escape_markup (
      const char* markup,
      gboolean allow_markup
    )

#### Description [src]

Escapes the given markup either fully or (when `allow_markup` is `TRUE`) in a way that is suitable for a notification body.

#### Parameters

`markup`

  Type: `const char*`

  The markup to escape.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`allow_markup`

  Type: `gboolean`

  Whether to allow certain markup.

#### Return value

Type: `char*`

The escaped text.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.